org.apache.poi.sl.draw.binding

## Class CTOfficeArtExtension

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTOfficeArtExtension

-     public class CTOfficeArtExtension
      extends java.lang.Object

  Java class for CT_OfficeArtExtension complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_OfficeArtExtension">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any processContents='lax'/>
             </sequence>
             <attribute name="uri" type="{http://www.w3.org/2001/XMLSchema}token" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Object` | `any`
    `protected java.lang.String` | `uri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTOfficeArtExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAny()` Gets the value of the any property.
    `java.lang.String` | `getUri()` Gets the value of the uri property.
    `boolean` | `isSetAny()`
    `boolean` | `isSetUri()`
    `void` | `setAny(java.lang.Object value)` Sets the value of the any property.
    `void` | `setUri(java.lang.String value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### any

          protected java.lang.Object any

    - #### uri

          protected java.lang.String uri

  - ### Constructor Detail

    - #### CTOfficeArtExtension

          public CTOfficeArtExtension()

  - ### Method Detail

    - #### getAny

          public java.lang.Object getAny()

      Gets the value of the any property.
      Returns:
        possible object is `Object` `Element`

    - #### setAny

          public void setAny(java.lang.Object value)

      Sets the value of the any property.
      Parameters:
        `value` - allowed object is `Object` `Element`

    - #### isSetAny

          public boolean isSetAny()

    - #### getUri

          public java.lang.String getUri()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setUri

          public void setUri(java.lang.String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetUri

          public boolean isSetUri()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.